DOVEADM-DICT(1)

NAME
doveadm-dict - Commands related to dictionary manipulation in user context

SYNOPSIS

doveadm [GLOBAL OPTIONS] dict command [-u user] [OPTIONS] config-filter-name [args]

doveadm [GLOBAL OPTIONS] mail dict command [OPTIONS] config-filter-name [args]

DESCRIPTION

doveadm dict and doveadm mail dict can be used to query and modify dictionary entries.

The doveadm mail dict command can be used within a specific user context. This may be useful if e.g. userdb lookup returns user-specific dict settings. Otherwise the commands behave identically.

config-filter-name

        Filter name to use when looking up the dict settings. For example mail_attribute, quota_clone. It's also possible to use an empty filter name and specify the dict settings using the -o parameters.

GLOBAL OPTIONS

Global doveadm(1) options:

-D

        Enables verbosity and debug messages.

-O

        Do not read any config file, just use defaults. The dovecot_storage_version setting defaults to the latest version, but can be overridden with -o.

-k

        Preserve entire environment for doveadm, not just import_environment setting.

-v

        Enables verbosity, including progress counter.

-i instance-name

        If using multiple Dovecot instances, choose the config file based on this instance name.

        See instance_name setting for more information.

-c config-file

        Read configuration from the given config-file. By default it first reads config socket, and then falls back to /etc/dovecot/dovecot.conf. You can also point this to config socket of some instance running compatible version.

-o setting=value

        Overrides the configuration setting from /etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

-f formatter

        Specifies the formatter for formatting the output. Supported formatters are:

        flow

            prints each line with key=value pairs.

json

    prints a JSON array of JSON objects.

pager

    prints each key: value pair on its own line and separates records with form feed character (^L).

tab

    prints a table header followed by tab separated value lines.

table

    prints a table header followed by adjusted value lines.

OPTIONS

doveadm dict command-specific options:

-u user

        The user to use.

doveadm mail dict command-specific options:

-A

        If the -A option is present, the command will be performed for all users. Using this option in combination with system users from userdb { driver = passwd } is not recommended, because it contains also users with a lower UID than the one configured with the first_valid_uid setting.

        When the SQL userdb module is used, make sure that the userdb_sql_iterate_query setting setting matches your database layout.

        When using the LDAP userdb module, make sure that the userdb_fields setting and userdb_ldap_iterate_fields setting settings match your LDAP schema. Otherwise doveadm(1) will be unable to iterate over all users.

-F file

        Execute the command for all the users in the file. This is similar to the -A option, but instead of getting the list of users from the userdb, they are read from the given file. The file contains one username per line.

-S socket_path

        The option's argument is either an absolute path to a local UNIX domain socket, or a hostname and port (hostname:port), in order to connect a remote host via a TCP socket.

        This allows an administrator to execute doveadm(1) mail commands through the given socket.

-u user/mask

        Run the command only for the given user. It's also possible to use '*' and '?' wildcards (e.g. -u *@example.org).

COMMANDS

  get

doveadm [GLOBAL OPTIONS] dict get [-u user] config-filter-name key

doveadm [GLOBAL OPTIONS] mail dict get [-A | -u user | -F file] [-S socket_path] config-filter-name key

Fetch a key from a dictionary.

key

        The key to fetch.

  iter

doveadm [GLOBAL OPTIONS] dict iter [-u user] [-1RV] config-filter-name prefix

doveadm [GLOBAL OPTIONS] mail dict iter [-A | -u user | -F file] [-S socket_path] [-1RV] config-filter-name prefix

Find the keys matching the a prefix in a dictionary.

-1

        Exact match.

-R

        Recurse.

-V

        Don't print values, just key names

prefix

        The key prefix to look for.

List keys into the dictionary.

  inc

doveadm [GLOBAL OPTIONS] dict inc [-u user] [-t timestamp-msecs] config-filter-name key diff

doveadm [GLOBAL OPTIONS] mail dict inc [-A | -u user | -F file] [-S socket_path] [-t timestamp-msecs] config-filter-name key diff

Increment the value of a numeric key in the keys into the dictionary.

-t timestamp-msecs

        Set the timestamp also.

key

        The key to increment.

diff

        The amount of the increment.

  set

doveadm [GLOBAL OPTIONS] dict set [-u user] [-t timestamp-msecs] [-e expire-secs] config-filter-name key value

doveadm [GLOBAL OPTIONS] mail dict set [-A | -u user | -F file] [-S socket_path] [-t timestamp-msecs] [-e expire-secs] config-filter-name key value

Set/create keys into the dictionary.

-t timestamp-msecs

        Set the timestamp also.

-e expire-secs

        Set the key duration also.

key

        The key to set.

value

        The value to set.

  unset

doveadm [GLOBAL OPTIONS] dict unset [-u user] [-t timestamp-msecs] config-filter-name key

doveadm [GLOBAL OPTIONS] mail dict unset [-A | -u user | -F file] [-S socket_path] [-t timestamp-msecs] config-filter-name key

Remove a key from the dictionary.

-t timestamp-msecs

        Set the timestamp also.

key

        The key to unset.

REPORTING BUGS

Report bugs, including doveconf -n output, to the Dovecot Mailing List ⟨dovecot@dovecot.org⟩. Information about reporting bugs is available at: ⟨https://dovecot.org/bugreport.html⟩

SEE ALSO

doveadm(1)